gnome-sharp 2.20.0.0 2.24.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gnome.CanvasItem Base class for canvas item shapes

Provides a base class for canvas item shapes, including: , , , and .

- Constructor
  2.24.0.0
  To be added
  To be added
- Constructor
  2.24.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.24.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  2.24.0.0
  a
  a
  To be added
  To be added
- Property
  2.24.0.0
  GLib.Property("cap_style")
  Gdk.CapStyle Cap (end point) style for the Bezier path. Cap style used by the Bezier path
- Property
  2.24.0.0
  GLib.Property("dash")
  Art.VpathDash To be added a To be added
- Property
  2.24.0.0
  GLib.Property("fill_color")
  System.String X color specification for fill color, or pointer for no color (transparent). X color specification
- Property
  2.24.0.0
  GLib.Property("fill_color_gdk")
  Gdk.Color Allocated for fill. the to fill
- Property
  2.24.0.0
  GLib.Property("fill_color_rgba")
  System.UInt32 Fill color with an alpha component (in the format 0xRRGGBBAA). the fill color
- Property
  2.24.0.0
  GLib.Property("fill_stipple")
  Gdk.Drawable Stipple pattern for fill. Stipple pattern
- Property
  2.24.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.24.0.0
  GLib.Property("join_style")
  Gdk.JoinStyle Vertex join style for the Bezier path. Verty join style used by the Bezier path
- Property
  2.24.0.0
  GLib.Property("miterlimit")
  System.Double Minimum angle between segments, where miter join rule is applied. Minimum angle between segments, where miter join rule is applied.
- Property
  2.24.0.0
  GLib.Property("outline_color")
  System.String X color specification for outline color, or pointer for no color (transparent). X color specification
- Property
  2.24.0.0
  GLib.Property("outline_color_gdk")
  Gdk.Color Allocated for outline. the color of the outline
- Property
  2.24.0.0
  GLib.Property("outline_color_rgba")
  System.UInt32 Outline color with an alpha component (in the format 0xRRGGBBAA). outline color
- Property
  2.24.0.0
  GLib.Property("outline_stipple")
  Gdk.Drawable Stipple pattern for outline. Stipple pattern used by the outline
- Property
  2.24.0.0
  Gnome.CanvasPathDef The used a or if none is set for the shape.

  It does not request updates, as it is meant to be used from item implementations, from inside update queue.

- Property
  2.24.0.0
  GLib.Property("width_pixels")
  System.UInt32 Width of the outline in pixels. The outline will not be scaled when the canvas zoom factor is changed. width of the outline
- Property
  2.24.0.0
  GLib.Property("width_units")
  System.Double Width of the outline in canvas units. The outline will be scaled when the canvas zoom factor is changed. width of the outline
- Property
  2.24.0.0
  GLib.Property("wind")
  System.UInt32 Winding rule for the Bezier path winding rule used by the Bezier path